%define debug_package %{nil} 

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

Name:		libhmac
Version:	20231127
Release:	1%{?dist}
Summary:	Library to support various Hash-based Message Authentication Codes (HMAC)
Group:		System Environment/Libraries
License:	LGPLv3+
Source:		%{name}-alpha-%{version}.tar.gz
URL:		https://github.com/libyal/libhmac
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	openssl 
BuildRequires:	gcc openssl-devel 

%description -n libhmac
Library to support various Hash-based Message Authentication Codes (HMAC)

%package -n libhmac-static
Summary:	Library to support various Hash-based Message Authentication Codes (HMAC)
Group:		 Development/Libraries
Requires:	libhmac = %{version}-%{release}

%description -n libhmac-static
Static library version of libhmac.

%package -n libhmac-devel
Summary:	Header files and libraries for developing applications for libhmac
Group:		Development/Libraries
Requires:	libhmac = %{version}-%{release}

%description -n libhmac-devel
Header files and libraries for developing applications for libhmac.

%if 0%{?with_python3}
%package -n libhmac-python%{python3_pkgversion}
Summary:	Python %{python3_pkgversion} bindings for libhmac
Group:		System Environment/Libraries
Requires: 	libhmac = %{version}-%{release} python%{python3_pkgversion}
BuildRequires: 	python%{python3_pkgversion}-devel

%description -n libhmac-python%{python3_pkgversion}
Python 3 bindings for libhmac
%endif

%package -n libhmac-tools
Summary:	Several tools for calculating Hash-based Message Authentication Codes (HMAC)
Group:		Applications/System
Requires:	libhmac = %{version}-%{release}      
      

%description -n libhmac-tools
Several tools for calculating Hash-based Message Authentication Codes (HMAC)

%prep
%setup -q

%build
%if 0%{?centos} == 7
sudo update-alternatives --set python /usr/bin/python3
%endif
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
make %{?_smp_mflags}
%if 0%{?centos} == 7
sudo update-alternatives --set python /usr/bin/python2
%endif

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libhmac
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.so.*

%files -n libhmac-static
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.a

%files -n libhmac-devel
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so
%if 0%{?fedora} >= 36
%else
%{_libdir}/*.la
%endif
%{_libdir}/pkgconfig/libhmac.pc
%{_includedir}/*
%{_mandir}/man3/*

%if 0%{?with_python3}
%files -n libhmac-python%{python3_pkgversion}
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.so
%if 0%{?fedora} >= 36
%else
%{_libdir}/python3*/site-packages/*.la
%endif
%endif

%files -n libhmac-tools
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%changelog
* Mon Nov 27 2023 Lawrence R. Rogers <lrr@cert.org> 20231127-1
* Release 20231127-1
	Version 20231127

* Fri Apr 07 2023 Lawrence R. Rogers <lrr@cert.org> 20230407-1
* Release 20230407-1
	Version 20230407

* Sun Feb  5 2023 Lawrence R. Rogers <lrr@cert.org> 20230205-01
* Release 20230205
	Version 20230205
